=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2007-12-06 12:03:35 +0000
+++ bzrlib/tests/__init__.py	2007-12-11 14:26:18 +0000
@@ -90,7 +90,7 @@
 from bzrlib.transport.readonly import ReadonlyServer
 from bzrlib.trace import mutter, note
 from bzrlib.tests import TestUtil
-from bzrlib.tests.HttpServer import HttpServer
+from bzrlib.tests.http_server import HttpServer
 from bzrlib.tests.TestUtil import (
                           TestSuite,
                           TestLoader,

=== modified file 'bzrlib/tests/blackbox/test_ignore.py'
--- bzrlib/tests/blackbox/test_ignore.py	2007-11-01 09:52:45 +0000
+++ bzrlib/tests/blackbox/test_ignore.py	2007-12-11 14:26:18 +0000
@@ -34,7 +34,6 @@
     pathjoin,
     terminal_width,
     )
-from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
 from bzrlib.tests.test_sftp_transport import TestCaseWithSFTPServer
 from bzrlib.tests.blackbox import ExternalBase
 from bzrlib.workingtree import WorkingTree

=== modified file 'bzrlib/tests/blackbox/test_too_much.py'
--- bzrlib/tests/blackbox/test_too_much.py	2007-09-18 08:14:00 +0000
+++ bzrlib/tests/blackbox/test_too_much.py	2007-12-11 14:26:18 +0000
@@ -49,7 +49,7 @@
     pathjoin,
     terminal_width,
     )
-from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests.http_utils import TestCaseWithWebserver
 from bzrlib.tests.test_sftp_transport import TestCaseWithSFTPServer
 from bzrlib.tests.blackbox import ExternalBase
 from bzrlib.workingtree import WorkingTree

=== modified file 'bzrlib/tests/branch_implementations/test_branch.py'
--- bzrlib/tests/branch_implementations/test_branch.py	2007-12-10 19:20:41 +0000
+++ bzrlib/tests/branch_implementations/test_branch.py	2007-12-11 14:26:18 +0000
@@ -42,7 +42,7 @@
 import bzrlib.revision
 from bzrlib.tests import TestCase, TestCaseWithTransport, TestSkipped
 from bzrlib.tests.branch_implementations import TestCaseWithBranch
-from bzrlib.tests.HttpServer import HttpServer
+from bzrlib.tests.http_server import HttpServer
 from bzrlib.trace import mutter
 from bzrlib.transport import get_transport
 from bzrlib.transport.memory import MemoryServer

=== modified file 'bzrlib/tests/branch_implementations/test_http.py'
--- bzrlib/tests/branch_implementations/test_http.py	2007-03-28 07:48:37 +0000
+++ bzrlib/tests/branch_implementations/test_http.py	2007-12-11 14:26:18 +0000
@@ -20,7 +20,7 @@
 
 from bzrlib import branch, errors
 from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
-from bzrlib.tests.HttpServer import HttpServer
+from bzrlib.tests.http_server import HttpServer
 from bzrlib.transport.local import LocalURLServer
 from bzrlib.transport.chroot import TestingChrootServer
 

=== renamed file 'bzrlib/tests/HttpServer.py' => 'bzrlib/tests/http_server.py'
=== renamed file 'bzrlib/tests/HTTPTestUtil.py' => 'bzrlib/tests/http_utils.py'
--- bzrlib/tests/HTTPTestUtil.py	2007-11-29 23:22:01 +0000
+++ bzrlib/tests/http_utils.py	2007-12-11 14:26:18 +0000
@@ -27,7 +27,7 @@
 
 from bzrlib.smart import protocol
 from bzrlib.tests import TestCaseWithTransport
-from bzrlib.tests.HttpServer import (
+from bzrlib.tests.http_server import (
     HttpServer,
     TestingHTTPRequestHandler,
     )

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2007-11-29 07:12:42 +0000
+++ bzrlib/tests/test_bzrdir.py	2007-12-11 14:26:18 +0000
@@ -48,8 +48,8 @@
     TestSkipped,
     test_sftp_transport
     )
-from bzrlib.tests.HttpServer import HttpServer
-from bzrlib.tests.HTTPTestUtil import (
+from bzrlib.tests.http_server import HttpServer
+from bzrlib.tests.http_utils import (
     TestCaseWithTwoWebservers,
     HTTPServerRedirecting,
     )

=== modified file 'bzrlib/tests/test_fetch.py'
--- bzrlib/tests/test_fetch.py	2007-11-21 23:35:32 +0000
+++ bzrlib/tests/test_fetch.py	2007-12-11 14:26:18 +0000
@@ -32,7 +32,7 @@
     zero_ninetyone,
     )
 from bzrlib.tests import TestCaseWithTransport
-from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests.http_utils import TestCaseWithWebserver
 from bzrlib.tests.test_revision import make_branches
 from bzrlib.trace import mutter
 from bzrlib.upgrade import Convert

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2007-12-08 23:15:18 +0000
+++ bzrlib/tests/test_http.py	2007-12-11 14:26:18 +0000
@@ -36,12 +36,18 @@
     ui,
     urlutils,
     )
-from bzrlib.tests.HttpServer import (
+from bzrlib.tests import (
+    TestCase,
+    TestUIFactory,
+    TestSkipped,
+    StringIOWrapper,
+    )
+from bzrlib.tests.http_server import (
     HttpServer,
     HttpServer_PyCurl,
     HttpServer_urllib,
     )
-from bzrlib.tests.HTTPTestUtil import (
+from bzrlib.tests.http_utils import (
     BadProtocolRequestHandler,
     BadStatusRequestHandler,
     ForbiddenRequestHandler,

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2007-10-26 08:12:56 +0000
+++ bzrlib/tests/test_selftest.py	2007-12-11 14:26:18 +0000
@@ -647,7 +647,7 @@
         self.assertEqual(t2.base[:-1], t.abspath('foo/bar'))
 
     def test_get_readonly_url_http(self):
-        from bzrlib.tests.HttpServer import HttpServer
+        from bzrlib.tests.http_server import HttpServer
         from bzrlib.transport import get_transport
         from bzrlib.transport.local import LocalURLServer
         from bzrlib.transport.http import HttpTransportBase

=== modified file 'bzrlib/tests/test_sftp_transport.py'
--- bzrlib/tests/test_sftp_transport.py	2007-09-24 09:40:01 +0000
+++ bzrlib/tests/test_sftp_transport.py	2007-12-11 14:26:18 +0000
@@ -41,7 +41,7 @@
     TestCase,
     TestSkipped,
     )
-from bzrlib.tests.HttpServer import HttpServer
+from bzrlib.tests.http_server import HttpServer
 from bzrlib.transport import get_transport
 import bzrlib.transport.http
 

=== modified file 'bzrlib/tests/test_smart_transport.py'
--- bzrlib/tests/test_smart_transport.py	2007-11-09 20:49:54 +0000
+++ bzrlib/tests/test_smart_transport.py	2007-12-11 14:26:18 +0000
@@ -39,7 +39,7 @@
         server,
         vfs,
 )
-from bzrlib.tests.HTTPTestUtil import (
+from bzrlib.tests.http_utils import (
         HTTPServerWithSmarts,
         SmartRequestHandler,
         )

=== modified file 'bzrlib/tests/test_transport.py'
--- bzrlib/tests/test_transport.py	2007-12-10 10:41:24 +0000
+++ bzrlib/tests/test_transport.py	2007-12-11 14:26:18 +0000
@@ -433,9 +433,9 @@
         self.assertEqual(True, transport.is_readonly())
 
     def test_http_parameters(self):
-        from bzrlib.tests.HttpServer import HttpServer
+        from bzrlib.tests.http_server import HttpServer
         import bzrlib.transport.readonly as readonly
-        # connect to . via http which is not listable
+        # connect to '.' via http which is not listable
         server = HttpServer()
         server.setUp()
         try:
@@ -466,8 +466,8 @@
     def test_http_parameters(self):
         # the listable and is_readonly parameters
         # are not changed by the fakenfs decorator
-        from bzrlib.tests.HttpServer import HttpServer
-        # connect to . via http which is not listable
+        from bzrlib.tests.http_server import HttpServer
+        # connect to '.' via http which is not listable
         server = HttpServer()
         server.setUp()
         try:

=== modified file 'bzrlib/tests/test_versionedfile.py'
--- bzrlib/tests/test_versionedfile.py	2007-12-03 21:38:07 +0000
+++ bzrlib/tests/test_versionedfile.py	2007-12-11 14:26:18 +0000
@@ -40,7 +40,7 @@
     KnitPlainFactory,
     )
 from bzrlib.tests import TestCaseWithMemoryTransport, TestSkipped
-from bzrlib.tests.HTTPTestUtil import TestCaseWithWebserver
+from bzrlib.tests.http_utils import TestCaseWithWebserver
 from bzrlib.trace import mutter
 from bzrlib.transport import get_transport
 from bzrlib.transport.memory import MemoryTransport

=== modified file 'bzrlib/transport/http/_pycurl.py'
--- bzrlib/transport/http/_pycurl.py	2007-12-08 23:15:18 +0000
+++ bzrlib/transport/http/_pycurl.py	2007-12-11 14:26:18 +0000
@@ -341,6 +341,6 @@
 
 def get_test_permutations():
     """Return the permutations to be used in testing."""
-    from bzrlib.tests.HttpServer import HttpServer_PyCurl
+    from bzrlib.tests.http_server import HttpServer_PyCurl
     return [(PyCurlTransport, HttpServer_PyCurl),
             ]

=== modified file 'bzrlib/transport/http/_urllib.py'
--- bzrlib/transport/http/_urllib.py	2007-12-03 08:33:06 +0000
+++ bzrlib/transport/http/_urllib.py	2007-12-11 14:26:18 +0000
@@ -179,6 +179,6 @@
 
 def get_test_permutations():
     """Return the permutations to be used in testing."""
-    from bzrlib.tests.HttpServer import HttpServer_urllib
+    from bzrlib.tests.http_server import HttpServer_urllib
     return [(HttpTransport_urllib, HttpServer_urllib),
             ]

=== modified file 'bzrlib/transport/http/_urllib2_wrappers.py'
--- bzrlib/transport/http/_urllib2_wrappers.py	2007-12-06 22:46:16 +0000
+++ bzrlib/transport/http/_urllib2_wrappers.py	2007-12-11 14:26:18 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006,2007 Canonical Ltd
+# Copyright (C) 2006, 2007 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -143,7 +143,6 @@
     """A custom HTTP(S) Connection, which can reset itself on a bad response"""
 
     response_class = Response
-    strict = 1 # We don't support HTTP/0.9
 
     def __init__(self):
         self._response = None
@@ -181,9 +180,10 @@
 class HTTPConnection(AbstractHTTPConnection, httplib.HTTPConnection):
 
     # XXX: Needs refactoring at the caller level.
-    def __init__(self, host, port=None, strict=None, proxied_host=None):
+    def __init__(self, host, port=None, proxied_host=None):
         AbstractHTTPConnection.__init__(self)
-        httplib.HTTPConnection.__init__(self, host, port, strict)
+        # Use strict=True since we don't support HTTP/0.9
+        httplib.HTTPConnection.__init__(self, host, port, strict=True)
         self.proxied_host = proxied_host
 
     def connect(self):
@@ -192,13 +192,15 @@
         httplib.HTTPConnection.connect(self)
 
 
+# FIXME: Should test for ssl availability
 class HTTPSConnection(AbstractHTTPConnection, httplib.HTTPSConnection):
 
     def __init__(self, host, port=None, key_file=None, cert_file=None,
-                 strict=None, proxied_host=None):
+                 proxied_host=None):
         AbstractHTTPConnection.__init__(self)
+        # Use strict=True since we don't support HTTP/0.9
         httplib.HTTPSConnection.__init__(self, host, port,
-                                         key_file, cert_file, strict)
+                                         key_file, cert_file, strict=True)
         self.proxied_host = proxied_host
 
     def connect(self):
@@ -565,7 +567,7 @@
             # - with and without certificate
             # - with self-signed certificate
             # - with and without authentication
-            # - with good and bad credentials (especially the proxy auth aound
+            # - with good and bad credentials (especially the proxy auth around
             #   CONNECT)
             # - with basic and digest schemes
             # - reconnection on errors

